/**
 * @file main.c
 * @author Jake G
 * @date 15 June 2024
 * @brief File contains the main function.
 *
 * This file contains the main logic loop and exists to setup the values
 * specific to the micro-controller. All other functions and configuration are
 * extracted into separate source files and headers for configuration.
 */

#define F_CPU 3333333UL

// This can prevent issues with utils/delay.h library with the gcc toolchain
#define __DELAY_BACKWARD_COMPATIBLE__

#include "RegEdit.h"
#include "config.h"
#include "timer.h"
#include "usart.h"
#include <avr/cpufunc.h> /* Required header file */
#include <avr/io.h>
#include <util/delay.h>

/*
char msg[] = "Attiny404:\n\r";
char maketime_msg[] = "Make Time(10Khz):";
char breaktime_msg[] = "Break Time(10Khz):";
*/


//Set the function pointer for the delay func
void (*Delay_MicroSeconds)(double us) = _delay_us;

int main(int argc, char **argv)
{
    //USART0_Init();
    //Timer_Setup();
    //Uart_Setup();
    PORTA.DIR |= (1<<7);

    while(true){
        _delay_ms(500);
        PORTA.OUT ^= (1<<7);
        _delay_ms(500);
        PORTA.OUT ^= (1<<7);
        /*
        USART0_sendString(msg);
        USART0_sendString(maketime_msg);
        USART0_sendChar('\r');
        USART0_sendChar('\n');
        USART0_sendString(breaktime_msg);
        USART0_sendChar('\r');
        USART0_sendChar('\n');
        */
        ;   //Do nothing until new Power cycle/reset occurs
    }
}
